Kerbal Space Program - Bug #23915

Lights won't turn on with keyboard shortcut or lights icon from next to altimeter when Mk3 Cockpit is
used

10/17/2019 08:47 AM - jclovis3

Status: Resolved Start date: 10/17/2019
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.9.1

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Version 1.8.0.2686 (Windows)

You can select a light on your ship and turn it on with the right-click menu, but the light control and keyboard shortcut ("U") do not
turn on any lights. No installed lighting and no cockpit lighting. The light icon at the top turns white to indicate lights are on.

Also, when you right-click an external light to see its status, it shows the light to be off regardless of the indicator at the top of the
screen.

History

#1 - 10/17/2019 12:35 PM - Anth12
- File screenshot4.png added

Might be an action group issue?
The U and the icon you mentioned are connected to the Light action group as per the picture | supplied.

#2 - 10/20/2019 03:13 AM - jclovis3
- File Action Groups.PNG added

Doesn't seem to be the case. Action groups were checked while on the surface of Mun (new feature I'm glad to have) and all the lighting seems to be
in there. Ship is fueled and powered. Tested new ship on launch pad with Mk3 Cockpit and some extra lighting, same problem. Changed to a Mk1
and the lights work fine. | saw a new report about the Mk3 lighting that made me think of this.

#3 - 10/20/2019 03:14 AM - jclovis3

- Subject changed from Lights won't turn on with keyboard shortcut or lights icon from next to altimeter to Lights won't turn on with keyboard shortcut or
lights icon from next to altimeter when Mk3 Cockpit is used

#4 - 10/21/2019 10:01 PM - jclovis3

Work Around: In flight (or design) use the action group editor and remove the Cockpit from the Lights action group. The action from the Cockpit is
labeled as "Toggle" and not "Toggle Lights" so there seems to be a related bug there.

#5 - 10/22/2019 03:55 PM - victorr

- Assignee set to victorr

#6 - 10/22/2019 05:26 PM - victorr
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#8 - 10/27/2019 10:14 PM - vrampal

Looks like the following issues are related:

https://bugs.kerbalspaceprogram.com/issues/23915
https://bugs.kerbalspaceprogram.com/issues/23962
https://bugs.kerbalspaceprogram.com/issues/23915
https://bugs.kerbalspaceprogram.com/issues/23962

Cockpit Mk3 lights are broken.

#9 - 02/15/2020 05:39 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.0

- % Done changed from 10 to 80

We have made changes in this last release and would like your feedback please.

#10 - 02/16/2020 05:42 AM - Anth12
- Status changed from Ready to Test to Needs Clarification

- % Done changed from 80 to 0

Wasnt this fixed as of 1.8.1?

This is almost the same bug as #23962 which was fixed. or am | missing something?

#11 - 02/28/2020 04:03 PM - victorr
- Status changed from Needs Clarification to Ready to Test
- Assignee deleted (victorr)

- % Done changed from 0 to 80

We've made some changes in the latest build and would like some input on this issue please. Thanks.

#12 - 02/28/2020 04:03 PM - victorr

- Target version changed from 1.9.0 to 1.9.1

#13 - 08/17/2021 01:48 PM - Technicalfool

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

This was resolved (a long while ago!)

Please continue to report any bugs as usual.

Files

No lights.PNG 284 KB 10/17/2019 jclovis3

screenshot4.png 2.49 MB 10/17/2019 Anth12

Action Groups.PNG 1.2 MB 10/20/2019 jclovis3
